Delete a Tailscale Subnet Router
Removes the router from the Network and logs it out of the tailnet. The response returns the router with status deleting. The record disappears once removal completes. A machine entry can remain in the tailnet’s admin console until it is removed there.
DELETE
/
tailscale_subnet_routers
/
{id}
Delete a Tailscale Subnet Router
curl --request DELETE \
--url https://api.telnyx.com/v2/tailscale_subnet_routers/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.telnyx.com/v2/tailscale_subnet_routers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.telnyx.com/v2/tailscale_subnet_routers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.telnyx.com/v2/tailscale_subnet_routers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.telnyx.com/v2/tailscale_subnet_routers/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.telnyx.com/v2/tailscale_subnet_routers/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.telnyx.com/v2/tailscale_subnet_routers/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "5c6f0a7e-6c7b-4d7f-9f2e-3b1e4e9a8c21",
"record_type": "tailscale_subnet_router",
"name": "tailnet-ashburn",
"network_id": "0de011ae-ee53-4df4-ba96-754728eb5aad",
"region_code": "ashburn-va",
"advertised_routes": [
"172.27.0.0/24"
],
"status": "deleting",
"customer_address": "172.27.254.1",
"device_id": "n5c6f0a7e1CNTRL",
"tailnet_name": "acme.example",
"tailscale_ips": [
"100.101.2.30",
"fd7a:115c:a1e0::2a"
],
"created_at": "2026-10-13T15:04:05.123456Z",
"updated_at": "2026-10-14T10:30:12.000000Z"
}
}{
"errors": [
{
"code": "10005",
"title": "Resource not found",
"detail": "The requested resource or URL could not be found.",
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10005"
}
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Identifies the resource.
Example:
"6a09cdc3-8948-47f0-aa62-74ac943d6c58"
Response
Successful response. Removal has started.
Show child attributes
Show child attributes
Was this page helpful?
Delete a Tailscale Subnet Router
curl --request DELETE \
--url https://api.telnyx.com/v2/tailscale_subnet_routers/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.telnyx.com/v2/tailscale_subnet_routers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.telnyx.com/v2/tailscale_subnet_routers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.telnyx.com/v2/tailscale_subnet_routers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.telnyx.com/v2/tailscale_subnet_routers/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.telnyx.com/v2/tailscale_subnet_routers/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.telnyx.com/v2/tailscale_subnet_routers/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "5c6f0a7e-6c7b-4d7f-9f2e-3b1e4e9a8c21",
"record_type": "tailscale_subnet_router",
"name": "tailnet-ashburn",
"network_id": "0de011ae-ee53-4df4-ba96-754728eb5aad",
"region_code": "ashburn-va",
"advertised_routes": [
"172.27.0.0/24"
],
"status": "deleting",
"customer_address": "172.27.254.1",
"device_id": "n5c6f0a7e1CNTRL",
"tailnet_name": "acme.example",
"tailscale_ips": [
"100.101.2.30",
"fd7a:115c:a1e0::2a"
],
"created_at": "2026-10-13T15:04:05.123456Z",
"updated_at": "2026-10-14T10:30:12.000000Z"
}
}{
"errors": [
{
"code": "10005",
"title": "Resource not found",
"detail": "The requested resource or URL could not be found.",
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10005"
}
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}